Flush outbound query data on the connection

- « pg_field_type

- pg_free_result »

- PHP Manual
- PostgreSQL Functions
- Flush outbound query data on the connection

# pg_flush

(PHP 5 >= 5.6.0, PHP 7, PHP 8)

pg_flush — Flush outbound query data on the connection

### Description

pg_flush(PgSql\Connection `$connection`): int|bool

pg_flush() flushes any outbound query data waiting to be sent on the connection.

### Parameters

`connection`

  An PgSql\Connection instance.

### Return Values

Returns `true` if the flush was successful or no data was waiting to be flushed, `0` if part of the pending data was flushed but more remains or `false` on failure.

### Changelog

Version | Description
--- | ---
8.1.0 | The `connection` parameter expects an PgSql\Connection instance now; previously, a resource was expected.